## Liste des options de configuration internes

Ci-dessous une liste partielle des options de configuration utilisées par le script PHP configure lors de la compilation sur les systèmes Unix et assimilés. La plupart des options de configuration sont listées dans leur emplacement approprié sur les pages de référence de l'extension et non pas ici. Pour une liste complète des options de configuration, exécutez la commande ./configure --help dans le répertoire contenant les sources de PHP après avoir exécuté la commande autoconf (voir aussi le chapitre sur l'installation de PHP). Vous pouvez également être intéressé par la lecture de la documentation sur la » configuration GNU pour plus d'informations sur les options de la commande configure comme `--prefix=PREFIX`.

> Note:

> Elles sont également utilisées lors de la compilation. Si vous voulez modifier la configuration de l'exécution de PHP, lisez le chapitre sur la configuration de l'exécution.

- Divers
- Comportement de PHP
- Serveur

### Options de configuration

#### Options diverses

--enable-debug

  Compile en activant les symboles de débogage

--with-layout=TYPE

  Spécifie la façon dont les fichiers installés seront présentés. `TYPE` peut valoir PHP (valeur par défaut) ou GNU. Notez que si vous installez les pages de manuel sous PREFIX (par défaut), choisissez le style GNU afin qu'elles puissent être trouvées dans le chemin de recherche de l'utilitaire manpath.

--with-pear=DIR

  Installe PEAR dans le dossier DIR (par défaut, PREFIX/lib/php).

--without-pear

  Ne pas installer PEAR.

--enable-sigchild

  Active le propre traitement du SIGCHLD de PHP.

--disable-rpath

  Désactive le passage de chemins additionnels de recherche de bibliothèques d'exécution.

--enable-libgcc

  Active explicitement le lien avec la bibliothèque libgcc.

--enable-php-streams

  Inclut le support expérimental des flux PHP. Utilisez-le seulement si vous testez le code !

--with-zlib-dir[=DIR]

  Définit le chemin du répertoire d'installation de la bibliothèque zlib.

--with-tsrm-pthreads

  Utilise les threads POSIX (par défaut).

--enable-shared[=PKGS]

  Compile les bibliothèques de partage [defaut=oui].

--enable-static[=PKGS]

  Compile les bibliothèques statiques [default=oui].

--enable-fast-install[=PKGS]

  Optimise pour une installation rapide [default=oui].

--with-gnu-ld

  Le compilateur C utilise GNU ld [default=non].

--disable-libtool-lock

  Évite de verrouiller (cela pourrait casser des constructions parallèles).

--with-pic

  Tente d'utiliser uniquement les objets PIC/non-PIC [default=utilisation des deux].

--enable-versioning

  Exporte uniquement les symboles requis. Voir le fichier INSTALL pour plus d'informations.

#### Options PHP

--enable-maintainer-mode

  Active des règles de compilation (`make`) et des dépendances pas toujours utiles aux utilisateurs occasionnels.

--with-config-file-path=PATH

  Indique le chemin dans lequel réside le fichier php.ini. Par défaut, c'est `PREFIX/lib`.

--disable-short-tags

  Désactive les balises courtes `<?`.

--with-libdir

  Précise le chemin vers les bibliothèques de construction Unix pour construire PHP. Pour les systèmes 64bits, vous devez renseigner le dossier `lib64` comme cela: `--with-libdir=lib64`.

--enable-zts

  Active la sécurité des threads. Antérieur à PHP 8.0.0 sur les systèmes non-Windows, l'option était appelée --enable-maintainer-zts.

#### Options SAPI

La liste suivante contient les options valides SAPI&s (`Server Application Programming Interface`) pour PHP.

--with-apxs[=FILE]

  Compile un module Apache partagé. FILE est un chemin d'accès optionnel vers les outils apxs d'Apache. Par défaut, c'est apxs. Assurez-vous de spécifier la version d'apxs qui est réellement installée sur votre système, et NON pas celle qui est fournie avec Apache.

--with-apache[=DIR]

  Compile le module Apache. DIR est le chemin du dossier d'installation d'Apache. Par défaut, DIR vaut /usr/local/apache.

--with-mod_charset

  Active les tables de transfert pour mod_charset (version russe de Apache).

--with-apxs2[=FILE]

  Compile le module partagé Apache 2.0. FILE est un chemin d'accès optionnel vers les outils apxs d'Apache. Par défaut, c'est apxs.

--disable-cli

  Empêche la compilation de la version CLI de PHP (cela force aussi l'option --without-pear). Plus d'informations dans la section sur l'utilisation de PHP en ligne de commande.

--enable-phpdbg

  Active le support du module SAPI de débogage interactif phpdbg.

--enable-embed[=TYPE]

  Active la compilation de la bibliothèque intégrée SAPI. TYPE vaut soit `shared`, soit `static`. Par défaut, c'est `shared`.

--with-servlet[=DIR]

  Inclut le support des servlets. DIR est le chemin d'installation du JSDK. Cette SAPI impose que l'extension java soit compilée comme une bibliothèque partagée.

--disable-cgi

  Empêche la compilation de la version CGI de PHP.

  Cet argument active aussi FastCGI.